## pyparsing2 2.4.7

=== debian/changelog ===
pyparsing2 (2.4.7-3) unstable; urgency=medium

  * Create a transitional package to replace old one

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 09 Feb 2022 12:40:08 +1300

pyparsing2 (2.4.7-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove MIA uploader Barry Warsaw <barry@debian.org>. Closes: #970158
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Matthew Grant ]
  * Bifurcate package git archive pyparsing and pyparsing2, to create
    pypy only pyparsing2 packages (Bug #997839), in response to CPython only
    PyParsing 3.x due to upstream using pypy incompatible typing and type hints.
  * Update python-pyparsing2-doc doc-base file for new
    pyparsing-pyparsing2-doc /usr/share/doc/pyparsing-pyparsing2-doc dir.

 -- Matthew Grant <matt@mattgrant.net.nz>  Wed, 09 Feb 2022 09:08:02 +1300

pyparsing (2.4.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 May 2020 13:53:33 -0400

pyparsing (2.4.6-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937503

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Apr 2020 23:53:22 -0400

pyparsing (2.4.6-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * add unitTests to debian/tests

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.4.6
  * Set upstream metadata fields: Bug-Database, Bug-Submit
    and append .git to Repository
  * Update Standards-Version to 4.5.0
  * Add sphinxdoc:Depends to doc package
  * Remove obsolete files d/README.source, d/new-upstream and
    cleaned d/watch since source no longer gets repacked
  * Add Rules-Requires-Root: no

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Fri, 24 Jan 2020 23:07:06 +0100

pyparsing (2.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Drew Parsons ]
  * New upstream release.
  * Standards-Version: 4.4.0
  * Build-Depends: debhelper-compat (= 12)
    - doc-base: places docs under python-pyparsing doc dir
  * update Homepage to https://github.com/pyparsing/pyparsing/
  * mark python-pyparsing-doc as Multi-Arch: foreign
  * exclude bytecode (pyc,__pycache__) from examples
  * add debian/tests (autopkgtest)
  * remove Kevin Coyner <kcoyner@debian.org> from Uploaders. Thanks
    for your great work in the past! Closes: #929551.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Sep 2019 05:08:36 +0800

pyparsing (2.2.0+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:32:31 +0000

pyparsing (2.2.0+dfsg1-1) experimental; urgency=medium

  [ Barry Warsaw ]
  * d/control: Fix short descriptions.  (Closes: #844363)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Thomas Goirand ]
  * Team upload to Experimental.
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Switched to debhelper 10.
  * Removed now useless python version in build-depends.
  * Standards-Version is now 4.1.3.
  * Fixed debian/copyright FSF address and reference to full license text, plus
    removed lintian overrides that were hiding the problems.
  * Fixed descriptions.
  * Added myself as uploader, since it looks like I'm the person uploading
    updates.
  * Add a doc-base file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 10:08:38 +0000

pyparsing (2.1.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 18 Oct 2016 10:51:26 -0400

pyparsing (2.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 21 Sep 2016 12:04:41 -0400

pyparsing (2.1.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Use Files-Excluded header to remove non-DFSG files.
  * d/watch:
    - Set opts for the repacking and mangling of the version number to +dfsg1
    - Use the pypi.debian.net redirector.
  * d/rules: Remove get-orig-source target since with the above changes,
    uscan(1) will now do the right thing.

 -- Barry Warsaw <barry@debian.org>  Thu, 18 Aug 2016 13:40:29 -0400

pyparsing (2.1.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Convert to DEP-5.  (Closes: #823922)
  * d/*.lintian-overrides: Added as necessary.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Aug 2016 18:58:05 -0400

pyparsing (2.1.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Aug 2016 13:49:32 -0400

pyparsing (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Remove the explicit Testsuite header since this is turned
    on by default now.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jun 2016 07:07:52 -0400

pyparsing (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Tue, 17 May 2016 16:22:06 -0400

pyparsing (2.1.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Suggest python-pyparsing-doc (Closes: #735542)
    - Change `XS-Testsuite: autopkgtest` to use the shiny new goodness
      `Testsuite: autopkgtest-pkg-python` and remove the d/tests directory
      as redundant.  (Closes: #710660)
    - Bump Standards-Version with no other changes necessary.
    - Build the PyPy packages.  (Closes: #823560)
    - With previous maintainer's approval, move DPMT to Maintainer, move

