=== debian/control ===
Source: pyparsing2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Matthew Grant <matt@mattgrant.net.nz>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pypy,
 pypy-setuptools,
 python3-sphinx
Build-Depends-Indep:
 tofrodos,
Homepage: https://github.com/pyparsing/pyparsing/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pyparsing2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyparsing2
Standards-Version: 4.5.1

Package: pypy-pyparsing
Architecture: all
Priority: optional
Section: oldlibs
Depends:
 pypy-pyparsing2,
 ${misc:Depends},
Description: Transitional package for pypy PyParsing v2.x
 This is a transitional package for pypy PyParsing v2.x
 . 
 The pypy-pyparsing package has been renamed to reflect its only v 2.x,
 when upstream is now v 3.x, incompatible due to v3.x using CPython types
 and type hashes.

Package: pypy-pyparsing2
Architecture: all
Section: python
Breaks: pypy-pyparsing (<< 2.4.7-1~)
Replaces: pypy-pyparsing (<< 2.4.7-1~)
Depends:
 ${misc:Depends},
 ${pypy:Depends},
Provides:
 ${pypy:Provides},
Suggests:
 python-pyparsing2-doc,
Description: alt to creating/executing simple grammars pyparsing2 - pypy
 This is the older version v2.x of pyparsing to support pypy.
 .
 The parsing module is an alternative approach to creating and
 executing simple grammars, vs. the traditional lex/yacc approach, or
 the use of regular expressions.  The parsing module provides a
 library of classes that client code uses to construct the grammar
 directly in Python code.
 .
 Here's an example:
 .
  from pyparsing import Word, alphas
  greet = Word(alphas) + "," + Word(alphas) + "!"
  hello = "Hello, World!"
  print hello, "->", greet.parseString(hello)
 .
 This package contains the PyPy version of python-pyparsing.

Package: python-pyparsing2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: alt to creating/executing simple grammars pyparsing2 - doc
 This is the older version v2.x of pyparsing to support pypy.
 .
 The parsing module is an alternative approach to creating and
 executing simple grammars, vs. the traditional lex/yacc approach, or
 the use of regular expressions.  The parsing module provides a
 library of classes that client code uses to construct the grammar
 directly in Python code.
 .
 Here's an example:
 .
  from pyparsing import Word, alphas
  greet = Word(alphas) + "," + Word(alphas) + "!"
  hello = "Hello, World!"
  print hello, "->", greet.parseString(hello)
 .
 This package contains documentation for python-pyparsing2.
